summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorGuido Günther <agx@sigxcpu.org>2012-02-08 15:53:42 +0100
committerGuido Günther <agx@sigxcpu.org>2012-02-08 15:53:42 +0100
commit2fc4078bc842efa253f84398fad8e655a3714568 (patch)
treed24372b6c48d98b8f240cd5a2d2f92b81b314f4b /autogen.sh
Initial commitv0.0.1
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..1a112a6
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+REQUIRED_AUTOMAKE_VERSION=1.7
+PKG_NAME=NetworkManager-iodine
+
+(test -f $srcdir/configure.ac) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+(cd $srcdir;
+ autoreconf --install &&
+ intltoolize --force &&
+ autoreconf &&
+ ./configure --enable-maintainer-mode $@
+)
+